package main

import (
	"fmt"

	"github.com/jessevdk/go-flags"
)

// 模拟native render
var GAppOption = &AppOption{}

// short只能是一个字符
type AppOption struct {
	Uri    string `short:"u" long:"uri" description:"websocket url"`
	RoomId int    `short:"r" long:"roomId" description:"roomId"`
	File   string `short:"f" long:"file" description:"file"`
}

func (o *AppOption) Parse() {
	_, err := flags.NewParser(o, flags.Default|flags.IgnoreUnknown).Parse()
	fmt.Println(err)
}

func main() {

	GAppOption.Parse()

	if len(GAppOption.Uri) < 1 {
		GAppOption.Uri = "127.0.0.1:9000"
		GAppOption.RoomId = 100
	}
	Run(GAppOption)

}
