package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type OssType struct {
	Url  string `bson:"url" json:"url"`
	Size int64  `bson:"size" json:"size"`
}

type ObsItem struct {
	Name         string    `json:"name"`
	LastModified time.Time `json:"lastModified"`
	Size         uint64    `json:"size"`
	IsImage      bool      `json:"isImage"`
	Url          string    `json:"url"`
	IsDir        bool      `json:"isDir"`
}

type BlenderFile struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	UserId     primitive.ObjectID `bson:"userId,omitempty" json:"userId"`
	Name       string             `bson:"name,omitempty" json:"name"`
	Tag        string             `bson:"tags,omitempty" json:"tags"`
	Url        *OssType           `bson:"url,omitempty" json:"url"`
	Thumb      *OssType           `bson:"thumb,omitempty" json:"thumb"`
	Category   string             `bson:"category,omitempty" json:"category"`
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
}
